SplFileInfo::isReadable
SplFileInfo::openFile
SplFileInfo
PHP Manual

# SplFileInfo::isWritable

(PHP 5 >= 5.1.2)

SplFileInfo::isWritable — Tells if the entry is writable

### Description

public bool SplFileInfo::isWritable ( void )

Checks if the current entry is writable.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if writable, `FALSE` otherwise;

SplFileInfo::isReadable
SplFileInfo::openFile
SplFileInfo
PHP Manual